Bug 1028605 - (CVE-2011-5268, CVE-2013-4550) CVE-2013-4550 CVE-2011-5268 bip: failed SSL handshake resource leak
CVE-2013-4550 CVE-2011-5268 bip: failed SSL handshake resource leak
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111110,reported=2...
: Security
Depends On: 1028608 1028609 1028610
Blocks: 1028606
  Show dependency treegraph
 
Reported: 2013-11-08 16:05 EST by Kurt Seifried
Modified: 2015-07-27 09:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-11-08 16:05:19 EST
Marc Deslauriers reports:

Hello,

bip 0.8.8 and earlier contains an issue where failed SSL handshakes result in a
resource leak. A remote attacker can use this flaw to cause bip to run out of
resources, resulting in a denial of service.

Upstream bug:
https://projects.duckcorp.org/issues/261

Fixed by the following commit in 0.8.9:
https://projects.duckcorp.org/projects/bip/repository/revisions/df45c4c2d6f892e3e1dec23ce0ed2575b53a7d8c

Downstream bug:
https://bugs.launchpad.net/ubuntu/precise/+source/bip/+bug/1247888
Comment 1 Kurt Seifried 2013-11-08 16:08:27 EST
Created bip tracking bugs for this issue:

Affects: fedora-all [bug 1028608]
Affects: epel-6 [bug 1028609]
Comment 2 Kurt Seifried 2013-11-08 16:09:55 EST
Created bip tracking bugs for this issue:

Affects: epel-5 [bug 1028610]
Comment 3 Fedora Update System 2013-11-13 22:32:06 EST
bip-0.8.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-11-20 23:33:12 EST
bip-0.8.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-11-20 23:34:00 EST
bip-0.8.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Vincent Danen 2013-12-24 14:38:16 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-5268 to
the following vulnerability:

Name: CVE-2011-5268
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-5268
Assigned: 20131224
Reference: https://projects.duckcorp.org/issues/261
Reference: https://projects.duckcorp.org/versions/13
Reference: FEDORA:FEDORA-2013-21006
Reference: http://lists.fedoraproject.org/pipermail/package-announce/2013-November/121868.html
Reference: FEDORA:FEDORA-2013-21018
Reference: http://lists.fedoraproject.org/pipermail/package-announce/2013-November/122278.html
Reference: FEDORA:FEDORA-2013-21060
Reference: http://lists.fedoraproject.org/pipermail/package-announce/2013-November/122274.html

connection.c in Bip before 0.8.9 does not properly close sockets,
which allows remote attackers to cause a denial of service (file
descriptor consumption and crash) via multiple failed SSL handshakes.
Comment 7 Salvatore Bonaccorso 2013-12-27 01:30:37 EST
Hi Vincent,

(In reply to Vincent Danen from comment #6)
> Common Vulnerabilities and Exposures assigned an identifier CVE-2011-5268 to
> the following vulnerability:
> 
> Name: CVE-2011-5268
> URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-5268

While this both mentions CVE-2011-5268, the subject has CVE-2013-5268. Is the 2011 identifier the correct one? (assuming so as the issues in the issue tracker are from 2011).

Could you clarify what is the difference for CVE-2013-4550 and this second one?

Thanks in advance,
Salvatore
Comment 8 Ratul Gupta 2013-12-27 04:46:48 EST
This is indeed CVE-2011-5268 rather than CVE-2013-5268:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2011-5268
Comment 9 Fedora Update System 2014-03-30 14:47:50 EDT
bip-0.8.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-03-30 14:48:57 EDT
bip-0.8.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.